Get Terminal Status using Phone Number
curl --request GET \
--url https://sandbox.cashfree.com/pg/terminal/{terminal_phone_no} \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/terminal/{terminal_phone_no}"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/terminal/{terminal_phone_no}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"added_on": "023-10-12T11:12:39+05:30",
"cf_terminal_id": 1838,
"last_updated_on": "023-10-12T11:12:39+05:30",
"terminal_address": "Bangalore",
"terminal_email": "john@cashfree.com",
"terminal_id": "test",
"terminal_meta": {
"terminal_operator": "dev test"
},
"terminal_name": "john doe",
"terminal_note": "POS vertical",
"terminal_phone_no": 9876543214,
"terminal_status": "DOCS_AWAITED",
"terminal_type": "STOREFRONT"
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}Get Terminal Status using Phone Number
Use this API to view all details of a terminal.
GET
/
terminal
/
{terminal_phone_no}
Get Terminal Status using Phone Number
Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret in the Merchant Dashboard.
Headers
API version to be used
Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The terminal for which you want to view the order details.
⌘I
